using System.Net.Http.Json;
using AdminPanel.Models;
using AdminPanel.Services;
using Microsoft.AspNetCore.Components;
using MudBlazor;

namespace AdminPanel.Pages;

public partial class TeamListPanel
{
    [Inject]
    private ITeamService TeamService { get; init; }
    private bool _isOpen;

    private string? FormName { get; set; }
    private string? FormPicture { get; set; }
    private string? FormMainColor { get; set; }
    private string? FormSecondaryColor { get; set; }
    
    private MudForm form;
    bool success;
    string[] errors = { };
    MudTextField<string> pwField1;
    

    private async Task<GridData<Team>> GetTeamsFromServer(GridState<Team> state)
    {
        var (count, teams) = await TeamService.ListTeam((uint)(state.Page * state.PageSize), (uint)state.PageSize);
        return new GridData<Team>
        {
            TotalItems = (int) count,
            Items = teams
        };
    }
    private void ToggleOpen()
    {
        if (_isOpen)
            _isOpen = false;
        else
            _isOpen = true;
    }
    
    private async void AddTeam()
    {
        await TeamService.AddTeam(FormName!,FormPicture!,FormMainColor!,FormSecondaryColor!);
    }
}


